﻿using System.Collections.Generic;
using System.Data;
using System.Windows;
using System.Windows.Media;

namespace MyWpfTestSolution
{
    public partial class MainWindow : Window
    {
        private static string product = "Product";

        public MainWindow()
        {
            InitializeComponent();

            DataTable table = new DataTable();
            table.Columns.Add(product, typeof(SolidColorBrush));
            foreach (var colorName in new List<SolidColorBrush> { 
                new SolidColorBrush(Colors.LightBlue), 
                new SolidColorBrush(Colors.LightGray), 
                new SolidColorBrush(Colors.LightGreen),
                new SolidColorBrush(Colors.LightPink)})
            {
                DataRow row = table.Rows.Add();
                row[product] = colorName;
            }
            dGrid.DataSource = table.DefaultView;
            table.AcceptChanges();
        }
    }
}
